Bug 859542

Summary: Change the way the kernel load address is determined for ARM U-Boot.
Product: [Fedora] Fedora Reporter: D. Marlin <dmarlin>
Component: grubbyAssignee: Peter Jones <pjones>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: bcl, pjones
Target Milestone: ---   
Target Release: ---   
Hardware: arm   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-27 00:59:03 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
grubby patch to change the way the kernel load address is determined none

Description D. Marlin 2012-09-21 15:27:55 EDT
Created attachment 615583 [details]
grubby patch to change the way the kernel load address is determined

Description of problem:

The kernel load address was initially determined by using the
Hardware entry in /proc/cpuinfo to identify the platform.  This
involved a substring match that was inexact, and was based on the
host hardware, and not the package being installed.

This patch changes grubby to use the kernel flavor (last component
of the kernel-release) of the kernel package being installed to
determine the platform.  This approach also allows a kernel to
be installed from a host that differs from the target platform
when using tools like livemedia-creator.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
Actual results:


Expected results:


Additional info:

This change is functionally equivalent to the previous code, unless creating an image using live-media creator and the --armplatform command line argument on a host that differs from the target.
Comment 1 Fedora Update System 2012-09-21 15:51:59 EDT
grubby-8.18-1.fc18 has been submitted as an update for Fedora 18.
Comment 2 Fedora Update System 2012-09-22 02:39:24 EDT
Package grubby-8.18-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grubby-8.18-1.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-09-27 00:59:03 EDT
grubby-8.18-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.